precision mediump float;

varying vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform mat4 u_projTrans;

uniform float numOfLines;
uniform float animateX;

void main() {
        float x = v_texCoords.x;
        float average = 1.0 / numOfLines;

        if(mod(x + animateX, average) > .25 / numOfLines) {
            gl_FragColor = vec4(0,0,0,0);
            return;
        }
        gl_FragColor = texture2D (u_texture, v_texCoords);
}